Summary: A spam filter for Usenet news servers
Name: cleanfeed
Version: 20020501
Release: alt2_9
# Confirmed with upstream, website
License: Artistic 2.0
URL: http://www.bofh.it/~md/cleanfeed/
Group: System/Servers
Source0: http://www.bofh.it/~md/cleanfeed/cleanfeed-20020501.tgz
Patch0: cleanfeed-20020501-redhat.patch
Patch1: cleanfeed-20020501-ro.patch
BuildArch: noarch

Requires(pre): shadow-utils
Source44: import.info

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed
looks for duplicated messages, repeated patterns, and known spamming
sites and domains.  It can be configured to block binary posts to
non-binary newsgroups, to cancel already-rejected articles, and to
reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet
news server.

%prep
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1

%build
sed '1 i #!/usr/bin/perl' cleanfeed > filter_innd.pl

%pre
getent group news >/dev/null || groupadd -r news
getent passwd news >/dev/null || \
    useradd -r -g news -d %{_sysconfdir}/news -s /sbin/nologin \
    -c "cleanfeed user" news
exit 0

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/news
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/news/bin/filter
install -m 0644 cleanfeed.local.sample $RPM_BUILD_ROOT/%{_sysconfdir}/news/cleanfeed.local
install -m 0644 bad_* $RPM_BUILD_ROOT/%{_sysconfdir}/news/
install -m 0755 filter_innd.pl \
	$RPM_BUILD_ROOT/%{_datadir}/news/bin/filter/filter_innd.pl

%files
%doc CHANGES README HACKING TODO LICENSE
%attr(-,news,news) %config(noreplace)  %{_sysconfdir}/news/cleanfeed.local
%attr(-,news,news) %config(noreplace)  %{_sysconfdir}/news/bad_*
%attr(755,news,news) %dir %{_datadir}/news/bin/filter
%attr(-,news,news) %{_datadir}/news/bin/filter/filter_innd.pl

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 20020501-alt2_9
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 20020501-alt2_8
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 20020501-alt1_8
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 20020501-alt1_7
- fc import

